Skip to content
Ona Docs

UpdateSCIMConfiguration

POST/gitpod.v1.OrganizationService/UpdateSCIMConfiguration

Updates a SCIM configuration.

Use this method to:

  • Enable or disable SCIM provisioning
  • Link or unlink SSO configuration
  • Update configuration name

Examples

  • Disable SCIM:

    Disables SCIM provisioning.

    scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    enabled: false
  • Link to SSO:

    Links SCIM configuration to an SSO provider.

    scimConfigurationId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    ssoConfigurationId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
Body ParametersJSONExpand Collapse
scimConfigurationId: string

scim_configuration_id is the ID of the SCIM configuration to update

formatuuid
enabled: optional boolean

enabled controls whether SCIM provisioning is active

name: optional string

name is a human-readable name for the SCIM configuration

maxLength128
ssoConfigurationId: optional string

sso_configuration_id is the SSO configuration to link

formatuuid
ReturnsExpand Collapse
scimConfiguration: ScimConfiguration { id, createdAt, organizationId, 5 more }

scim_configuration is the updated SCIM configuration

id: string

id is the unique identifier of the SCIM configuration

formatuuid
createdAt: string

created_at is when the SCIM configuration was created

formatdate-time
organizationId: string

organization_id is the ID of the organization this SCIM configuration belongs to

formatuuid
tokenExpiresAt: string

token_expires_at is when the current SCIM token expires

formatdate-time
updatedAt: string

updated_at is when the SCIM configuration was last updated

formatdate-time
enabled: optional boolean

enabled indicates if SCIM provisioning is active

name: optional string

name is a human-readable name for the SCIM configuration

maxLength128
ssoConfigurationId: optional string

sso_configuration_id is the linked SSO configuration (optional)

formatuuid

UpdateSCIMConfiguration

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/UpdateSCIMConfiguration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "scimConfigurationId": "d2c94c27-3b76-4a42-b88c-95a85e392c68"
        }'
{
  "scimConfiguration": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "createdAt": "2019-12-27T18:11:19.117Z",
    "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
    "updatedAt": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "scimConfiguration": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "createdAt": "2019-12-27T18:11:19.117Z",
    "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
    "updatedAt": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}